[metadata]
name = {{mxn_name}}
version = {{version}}
descriptions = {{description}}
author = [[author]]
author_email = {{author_email}}
url = {{url}}
license = {{license}}
platform = any

[options]
zip_safe = false
include_package_data = true

install_requires =
    mxxn @ git+https://gitlab.com/ccodein/mxxn/mxxn.git

[options.extras_require]
develop =
    mxxn[develop] @ git+https://gitlab.com/ccodein/mxxn/mxxn.git

[options.entry_points]
mxxn_mxn =
     {{mxn_name}} = {{mxn_name}}

[flake8]
exclude = .git,__pycache__,build,dist,.undodir

[mypy]
files = {{mxn_name}}
disallow_untyped_defs = True

[mypy-falcon.*]
ignore_missing_imports = True
